com.fasterxml.jackson.dataformat.xml

## Class XmlTypeResolverBuilder.XmlMinimalClassNameIdResolver

- java.lang.Object
- - com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase
  - - com.fasterxml.jackson.databind.jsontype.impl.ClassNameIdResolver
    - - com.fasterxml.jackson.databind.jsontype.impl.MinimalClassNameIdResolver
      - - com.fasterxml.jackson.dataformat.xml.XmlTypeResolverBuilder.XmlMinimalClassNameIdResolver

All Implemented Interfaces:
  com.fasterxml.jackson.databind.jsontype.TypeIdResolver

Enclosing class:
  XmlTypeResolverBuilder

    protected static class XmlTypeResolverBuilder.XmlMinimalClassNameIdResolver
    extends com.fasterxml.jackson.databind.jsontype.impl.MinimalClassNameIdResolver

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.jsontype.impl.MinimalClassNameIdResolver

`_basePackageName, _basePackagePrefix`

### Fields inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase

`_baseType, _typeFactory`

### Constructor Summary

Constructors
Constructor and Description
`XmlMinimalClassNameIdResolver(com.fasterxml.jackson.databind.JavaType baseType, com.fasterxml.jackson.databind.type.TypeFactory typeFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `idFromValue(Object value)`
`com.fasterxml.jackson.databind.JavaType` `typeFromId(com.fasterxml.jackson.databind.DatabindContext context, String id)`

### Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.MinimalClassNameIdResolver

`_typeFromId, getMechanism`

### Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.ClassNameIdResolver

`_idFrom, getDescForKnownTypeIds, idFromValueAndType, registerSubtype`

### Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase

`idFromBaseType, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlMinimalClassNameIdResolver

    public XmlMinimalClassNameIdResolver(com.fasterxml.jackson.databind.JavaType baseType,
                                         com.fasterxml.jackson.databind.type.TypeFactory typeFactory)

### Method Detail

#### idFromValue

    public String idFromValue(Object value)

Specified by:
  `idFromValue` in interface `com.fasterxml.jackson.databind.jsontype.TypeIdResolver`
Overrides:
  `idFromValue` in class `com.fasterxml.jackson.databind.jsontype.impl.MinimalClassNameIdResolver`

#### typeFromId

    public com.fasterxml.jackson.databind.JavaType typeFromId(com.fasterxml.jackson.databind.DatabindContext context,
                                                              String id)
                                                       throws IOException

Specified by:
  `typeFromId` in interface `com.fasterxml.jackson.databind.jsontype.TypeIdResolver`
Overrides:
  `typeFromId` in class `com.fasterxml.jackson.databind.jsontype.impl.ClassNameIdResolver`
Throws:
  `IOException`